<?
/********************************************************************
 * NotFTP 
 * Copyright (c) 2002 by Ryan Grove <ryan@wonko.com>
 * All rights reserved.
 *
 * This script is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA  02111-1307  USA
 ********************************************************************/

require_once("functions.php");
require_once("lib/header.php");
?>

<form action="ftp.php" method="post">
<table>
    <tr><td class="loginName">
        <b><?=$text['host']?></b>
    </td><td class="loginValue">
        <input type="text" name="address" maxlength="255" size="20"/>
    </td><td class="loginExample">
        <?=$text['hostexample']?>
    </td></tr>

    <?
    if (ALLOWUSERPORT === true)
    {
		?>
		<tr><td class="loginName">
			<b><?=$text['port']?></b>
		</td><td class="loginValue">
			<input type="text" name="port" maxlength="6" size="3" value="<?=DEFAULTPORT?>"/>
		</td><td class="loginExample">
		</td></tr>
		<?
	}
    ?>
    
    <tr><td class="loginName">
        <b><?=$text['user']?></b>
    </td><td class="loginValue">
        <input type="text" name="user" maxlength="50" size="20"/>
    </td><td class="loginExample">
        <?=$text['leaveblank']?>
    </td></tr>

    <tr><td class="loginName">
        <b><?=$text['pass']?></b>
    </td><td class="loginValue">
        <input type="password" name="pass" maxlength="50" size="20"/>
    </td><td class="loginExample">
    </td></tr>

	<tr><td class="loginName">
		<b><?=$text['language']?></b>
	</td><td class="loginValue">
		<select name="language">
			<?
			foreach($languages as $lang)
			{
				if (isset($_COOKIE["notftplang"]) && $_COOKIE["notftplang"] == $lang["abbr"])
				{
					?>
					<option value="<?=$lang["abbr"]?>" selected="selected"><?=$lang["name"]?></option>
					<?
				}
				else
				{
					?>
					<option value="<?=$lang["abbr"]?>"><?=$lang["name"]?></option>
					<?
				}
			}
			?>
		</select>
	</td><td class="loginExample">
	</td></tr>

	<tr><td class="loginName">
		<b><?=$text['style']?></b>
	</td><td class="loginValue">
		<select name="style">
			<?
			foreach($styles as $style)
			{
				if (isset($_COOKIE["notftpstyle"]) && $_COOKIE["notftpstyle"] == $style["shortname"])
				{
					?>
					<option value="<?=$style["shortname"]?>" selected="selected"><?=$style["name"]?></option>
					<?
				}
				else
				{
					?>
					<option value="<?=$style["shortname"]?>"><?=$style["name"]?></option>
					<?
				}
			}
			?>
		</select>
	</td><td class="loginExample">
	</td></tr>
</table>

<br />
<input type="submit" value="<?=$text['login']?>" />
</form>
<?
include_once("lib/footer.php");
?>
